<h1 style="color :fuchsia">Play Tic Tac Toe</h1>
<div>
  <input class="mw" type="text" [(ngModel)]="mat[0][0]" (click)="mat[0][0]=state;toggelStatus()" name="mat[0][0]">
  <input class="mw" [(ngModel)]="mat[0][1]" (click)="mat[0][1]=state;toggelStatus()" name="mat[0][1]">
  <input class="mw" [(ngModel)]="mat[0][2]" (click)="mat[0][2]=state;toggelStatus()" name="mat[0][2]">
</div>
<div>
  <input class="mw" [(ngModel)]="mat[1][0]" (click)="mat[1][0]=state;toggelStatus()" name="mat[1][0]" >
  <input class="mw" [(ngModel)]="mat[1][1]" (click)="mat[1][1]=state;toggelStatus()" name="mat[1][1]" >
  <input class="mw" [(ngModel)]="mat[1][2]" (click)="mat[1][2]=state;toggelStatus()" name="mat[1][2]" >
</div>
<div>
  <input class="mw" [(ngModel)]="mat[2][0]" (click)="mat[2][0]=state;toggelStatus()" name="mat[2][0]">
  <input class="mw" [(ngModel)]="mat[2][1]" (click)="mat[2][1]=state;toggelStatus()" name="mat[2][1]">
  <input class="mw" [(ngModel)]="mat[2][2]" (click)="mat[2][2]=state;toggelStatus()" name="mat[2][2]">
</div>
<input type="button" value="reset" (click)="reset()">
<hr>
<h3 style="color: green">{{msg}}</h3>